import React from 'react';

// Nav stuff

//import { createAppContainer } from 'react-navigation';
//import { createStackNavigator } from 'react-navigation-stack';

import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';

// Screens one per file to keep things clean

import HomeScreen from './src/screens/HomeScreen';
import AboutScreen from './src/screens/AboutScreen';
import SettingsScreen from './src/screens/SettingsScreen';
import FilesScreen from './src/screens/FilesScreen';

// Clean up of code before I fix the last little issue with it


const Stack = createNativeStackNavigator();


function App() {
  return (
    <NavigationContainer>
      <Stack.Navigator initialRouteName="Home">
        <Stack.Screen name="Home" component={HomeScreen} />
        <Stack.Screen name="About" component={AboutScreen} />
        <Stack.Screen name="Files" component={FilesScreen} />
        <Stack.Screen name="Settings" component={SettingsScreen} />
       
      </Stack.Navigator>
    </NavigationContainer>
  );
}

//export default createAppContainer(AppNavigator);

export default App;
